﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using System.ServiceModel.Activation;
using System.Data;

namespace TestSvc
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service1" in code, svc and config file together.
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class Service1 : IService1
    {
        public IEnumerable<Dictionary<string, object>> GetData()
        {
            DataTable dt = new DataTable();
            dt.Columns.Add(new DataColumn("FN", typeof(string)));
            dt.Columns.Add(new DataColumn("LN", typeof(string)));
            dt.Columns.Add(new DataColumn("Age", typeof(int)));

            for (int i = 0; i < 50; i++)
            {
                DataRow dr = dt.NewRow();
                dr["FN"] = "Anil" + i.ToString();
                dr["LN"] = "Kumar"+ i.ToString();
                dr["Age"] = i;
                dt.Rows.Add(dr);
            }
            var cols = dt.Columns.Cast<DataColumn>();

            return dt.AsEnumerable().Select(r => cols.Select(c =>
                                 new { Column = c.ColumnName, Value = r[c] })
                             .ToDictionary(i => i.Column, i => i.Value != DBNull.Value ? i.Value : null));
            
        }

       
    }
}
